Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004785OCamlOCaml generalpublic2009-05-03 15:142009-05-20 14:05
Reporterdb 
Assigned Toguesdon 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.11.1+dev 
Summary0004785: Current CVS cannot be build under Windows
Descriptionopt.opt target fails:

make -f Makefile.nt opt.opt
(...)
cd ocamldoc ; /usr/bin/make -f Makefile.nt opt.opt
make[1]: Entering directory `/cygdrive/d/Work/ocaml/ocaml-3.11.1-cvs-03.05.09/ocamldoc'
../boot/ocamlrun ../ocamlopt -o ocamldoc.opt (...)
File "_none_", line 1, characters 0-1:
Error: No implementations provided for the following modules:
         Dynlink referenced from odoc.cmx
make[1]: *** [ocamldoc.opt] Error 2
make[1]: Leaving directory `/cygdrive/d/Work/ocaml/ocaml-3.11.1-cvs-03.05.09/ocamldoc'
make: *** [ocamldoc.opt] Error 2

The fix is trivial:

--- ocamldoc/Makefile.nt.orig 2009-05-03 15:10:39.218750000 +0400
+++ ocamldoc/Makefile.nt 2009-05-03 16:48:04.471475900 +0400
@@ -190,7 +190,7 @@
 $(OCAMLDOC): $(EXECMOFILES)
     $(OCAMLC) -o $@ -linkall unix.cma str.cma dynlink.cma $(LINKFLAGS) $(OCAMLCMOFILES) $(EXECMOFILES)
 $(OCAMLDOC_OPT): $(EXECMXFILES)
- $(OCAMLOPT) -o $@ unix.cmxa str.cmxa $(LINKFLAGS) $(OCAMLCMXFILES) $(EXECMXFILES)
+ $(OCAMLOPT) -o $@ unix.cmxa str.cmxa dynlink.cmxa $(LINKFLAGS) $(OCAMLCMXFILES) $(EXECMXFILES)
 
 $(OCAMLDOC_LIBCMA): $(LIBCMOFILES)
     $(OCAMLC) -a -o $@ $(LINKFLAGS) $(OCAMLCMOFILES) $(LIBCMOFILES)
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0004798closed Cannot "make op.opt " with 3.11.1rc0 under mingw 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-05-03 15:14 db New Issue
2009-05-15 16:59 doligez Status new => assigned
2009-05-15 16:59 doligez Assigned To => guesdon
2009-05-20 14:03 doligez Relationship added has duplicate 0004798
2009-05-20 14:05 doligez Status assigned => closed
2009-05-20 14:05 doligez Resolution open => fixed
2009-05-20 14:05 doligez Fixed in Version => 3.11.1+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker